%define rdate 20040528
Summary:	DRBL setup scripts
Name:		drbl-setup
Version:	1.0
Release:	24drbl
License:	GPL
Group:		Development/DRBL
Source0:	drbl-desktop-%{rdate}.tgz
URL:		http://drbl.nchc.org.tw/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl 

%description
DRBL setup scripts
Diskless Remote boot in Linux - http://drbl.nchc.org.tw, http://drbl.sf.net
Description :
Setup scripts for DRBL server and clients to provide some tools to maintain the DRBL environment in Redhat Linux.

%prep
%setup -q -n drbl-desktop-%{rdate}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/drbl/setup
cp -a  *	$RPM_BUILD_ROOT/opt/drbl/setup

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
/opt/drbl/setup/*

%changelog
* Thu May 28 2004 Steven Shiau <steven@nchc.org.tw> 1.0-24drbl
- fix the bug, we need to add yppasswdd ypxfrd to chkconfig --add for server. 

* Thu May 21 2004 Steven Shiau <steven@nchc.org.tw> 1.0-23drbl
- no more the fuzzy description of the last set of digits in the IP address....

* Thu May 21 2004 Steven Shiau <steven@nchc.org.tw> 1.0-22drbl
- user can specify the apt repository by himself in MDK (drblsrv-mdk).

* Tue May 11 2004 Steven Shiau <steven@nchc.org.tw> 1.0-21drbl
- force to upgrade gpm when user has FC1, this will avoid the bug of dialog, so clonezilla will work well.

* Tue May 04 2004 Steven Shiau <steven@nchc.org.tw> 1.0-20drbl
- add check if DRBL kernel is available, if not found, program stop.

- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.
* Mon May 03 2004 Steven Shiau <steven@nchc.org.tw> 1.0-19drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.

* Sun May 02 2004 Steven Shiau <steven@nchc.org.tw> 1.0-18drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit.

* Tue Apr 21 2004 Steven Shiau <steven@nchc.org.tw> 1.0-17drbl
- recompiled.

* Tue Apr 18 2004 Steven Shiau <steven@nchc.org.tw> 1.0-16drbl
- it's cdialog and reiserfsprogs in MDK, not dialog and resierfs-utils

* Tue Apr 18 2004 Steven Shiau <steven@nchc.org.tw> 1.0-15drbl
- add code to detect if apt is compatable with DRBL in drblsrv-mdk

* Tue Apr 17 2004 Steven Shiau <steven@nchc.org.tw> 1.0-14drbl
- add -o RPM::Hold::="apt" when use apt-get upgrade in drblsrv-mdk.sh

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-13drbl
- fix the bug with no initial value for exist_size_in_MB in mkswapfile.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-12drbl
- if ethernet port is not available for DRBL environment, program stop.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-11drbl
- add option to remove kernel.*drbl when uninstalling drbl in mdk.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-10drbl
- force to run mknic-nbi with smp option if user specifies smp kernel.
- rewrite kernel searching method for mandrake, now DRBL for Mandrake only uses kernel with tag "drbl"

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-9drbl
- when uninstall, ask if want to remove drbl-setup or not.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-8drbl
- when uninstall, remove drbl-setup.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-7drbl
- when user uses local HD as /tmp, rc.sysinit will not mkdir /boot/tmp.

* Tue Apr 13 2004 Steven Shiau <steven@nchc.org.tw> 1.0-6drbl
- add bc package in drblsrv-mdk.sh and drblsrv.sh.

* Fri Apr 09 2004 Steven Shiau <steven@nchc.org.tw> 1.0-5drbl
- let mkpxeinitrd-net take care of the copy and link for vmlinuz-pxe and initrd-net, not in drblsrv-rh or drblsrv-mdk.

* Mon Apr 05 2004 Steven Shiau <steven@nchc.org.tw> 1.0-4drbl
- add codes to compute the sizes of swap partition and swap file together, so that it meets the /etc/sysconfig/mkswapfile in clients.

* Sun Apr 04 2004 Steven Shiau <steven@nchc.org.tw> 1.0-3drbl
- Fix bug for drblsrv-mdk, we need to add $drbl_setup_path for dev path.

* Sun Apr 02 2004 Steven Shiau <steven@nchc.org.tw> 1.0-2drbl
- Fix typos in lang/perl/tw.Big5, and add more directories in /var/lib for clients.

* Sat Apr 01 2004 Steven Shiau <steven@nchc.org.tw> 1.0-1drbl
- Write drbl setup scripts as rpm package, first release.
